Loading...
Searching...
No Matches
apr_memcache_stats_t Struct Reference
APR Utility Functions » Memcached Client Routines

## Data Fields

const char * | version
apr_uint32_t | pid
apr_uint32_t | uptime
apr_time_t | time
apr_uint32_t | pointer_size
apr_time_t | rusage_user
apr_time_t | rusage_system
apr_uint32_t | curr_items
apr_uint32_t | total_items
apr_uint64_t | bytes
apr_uint32_t | curr_connections
apr_uint32_t | total_connections
apr_uint32_t | connection_structures
apr_uint32_t | cmd_get
apr_uint32_t | cmd_set
apr_uint32_t | get_hits
apr_uint32_t | get_misses
apr_uint64_t | evictions
apr_uint64_t | bytes_read
apr_uint64_t | bytes_written
apr_uint32_t | limit_maxbytes
apr_uint32_t | threads

## Field Documentation

## bytes

apr_uint64_t apr_memcache_stats_t::bytes

Current number of bytes used by this server to store items

## bytes_read

apr_uint64_t apr_memcache_stats_t::bytes_read

Total number of bytes read by this server

## bytes_written

apr_uint64_t apr_memcache_stats_t::bytes_written

Total number of bytes sent by this server

## cmd_get

apr_uint32_t apr_memcache_stats_t::cmd_get

Cumulative number of retrieval requests

## cmd_set

apr_uint32_t apr_memcache_stats_t::cmd_set

Cumulative number of storage requests

## connection_structures

apr_uint32_t apr_memcache_stats_t::connection_structures

Number of connection structures allocated by the server

## curr_connections

apr_uint32_t apr_memcache_stats_t::curr_connections

Number of open connections

## curr_items

apr_uint32_t apr_memcache_stats_t::curr_items

Current number of items stored by the server

## evictions

apr_uint64_t apr_memcache_stats_t::evictions

Number of items removed from cache because they passed their expiration time

## get_hits

apr_uint32_t apr_memcache_stats_t::get_hits

Number of keys that have been requested and found present

## get_misses

apr_uint32_t apr_memcache_stats_t::get_misses

Number of items that have been requested and not found

## limit_maxbytes

apr_uint32_t apr_memcache_stats_t::limit_maxbytes

Number of bytes this server is allowed to use for storage.

## pid

apr_uint32_t apr_memcache_stats_t::pid

Process id of this server process

## pointer_size

apr_uint32_t apr_memcache_stats_t::pointer_size

The size of a pointer on the current machine

## rusage_system

apr_time_t apr_memcache_stats_t::rusage_system

Accumulated system time for this process

## rusage_user

apr_time_t apr_memcache_stats_t::rusage_user

Accumulated user time for this process

## threads

apr_uint32_t apr_memcache_stats_t::threads

Number of threads the server is running (if built with threading)

## time

apr_time_t apr_memcache_stats_t::time

current UNIX time according to the server

## total_connections

apr_uint32_t apr_memcache_stats_t::total_connections

Total number of connections opened since the server started running

## total_items

apr_uint32_t apr_memcache_stats_t::total_items

Total number of items stored by this server

## uptime

apr_uint32_t apr_memcache_stats_t::uptime

Number of seconds this server has been running

## version

const char* apr_memcache_stats_t::version

Version string of this server

The documentation for this struct was generated from the following file:

- apr_memcache.h